> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/cidr-block/describecidrs.md).

# DescribeCidrs

## 1. API Description

This API (DescribeCidrs) is used to query the information of one or more specified CIDR blocks. Users can search for CIDR block information based on CIDR block ID, CIDR block name, etc.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name  | Required | Type                                                                             | Description                                                                                                |
| --------------- | -------- | -------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------- |
| cidrIds         | No       | Array of String                                                                  | Filter by one or more CIDR block IDs.                                                                      |
| regionId        | No       | String                                                                           | Filter by the region ID of the CIDR block.                                                                 |
| name            | No       | String                                                                           | <p>CIDR block name.</p><p>Fuzzy search supported.</p>                                                      |
| cidrBlock       | No       | String                                                                           | <p>CIDR IP range.</p><p>Fuzzy search supported.</p>                                                        |
| source          | No       | [CidrCreateSource](/api-reference/compute/zec/datastructure.md#cidrcreatesource) | IP type. IP leasing or BYOIP.                                                                              |
| asn             | No       | Integer                                                                          | Filter by ASN.                                                                                             |
| resourceGroupId | No       | String                                                                           | Resource Group ID.                                                                                         |
| pageSize        | No       | Integer                                                                          | <p>Number of items in the current page result.</p><p>Default value: 20;</p><p>Value range: \[1, 1000]</p>  |
| pageNum         | No       | Integer                                                                          | <p>Number of pages returned.</p><p>Default value: 1.</p><p>Value range: \[1, +)</p><p>Default value: 1</p> |
| tagKeys         | No       | Array of String                                                                  | <p>Query using tag keys.</p><p>A maximum of 20 tag keys can be used.</p>                                   |
| tags            | No       | Array of [Tag](/api-reference/compute/zec/datastructure.md#tag)                  | <p>Query using tags.</p><p>A maximum of 20 tags can be used.</p>                                           |

## 3. Output Parameters

| Parameter Name | Type                                                                      | Description                                                                                                           |
| -------------- | ------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                    | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| totalCount     | Integer                                                                   | Number of CIDR blocks meeting the filtering conditions.                                                               |
| dataSet        | Array of [CidrInfo](/api-reference/compute/zec/datastructure.md#cidrinfo) | Information on CIDR blocks.                                                                                           |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query the list of CIDR blocks within `128.0.0.0/24`.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeCidrs
<Common Request Params>

Request:
{
  "cidrIds": ["xxx"],
  "regionId": "asia-east-1",
  "cidrBlock": "128.0.0.0/24",
  "pageSize": 10,
  "pageNum": 1
}
Response:
{
    "requestId": "TA87CE637-EDF9-423A-81C0-5A6605789BBE",
    "response": {
        "dataSet": [
            {
                "cidrBlock": "128.0.0.0/24",
                "cidrId": "<cidrId>",
                "createTime": "2026-04-28T09:22:44Z",
                "eipV4Type": "BGPLine",
                "name": "128.0.0.0/24",
                "netmask": 24,
                "networkLineType": "PremiumBGP",
                "poolId": "<poolId>",
                "regionId": "<regionId>",
                "resourceGroupId": "<resourceGroupId>",
                "resourceGroupName": "<resourceGroupName>",
                "source": "CONSOLE",
                "status": "AVAILABLE",
                "asn": null,
                "totalCount": 20,
                "usedCount": 1
            }
        ],
        "requestId": "TA87CE637-EDF9-423A-81C0-5A6605789BBE",
        "totalCount": 1
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/cidr-block/describecidrs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
